import { useEffect, useState } from 'react';
import { Pub } from '../../';

export default (pub:Pub):Pub => {
    const [, setRandomState] = useState<number>()
    useEffect(() => {
        if (!pub) return

        const unsubscribe = pub.subscribe(() => setRandomState(Math.random()))
        return () => {
            unsubscribe()
        }
    }, [pub])
    return pub
}
